Package org.eclipse.graphiti.features

# Interface IUpdateFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`, `IUpdate`

All Known Implementing Classes:
  `AbstractUpdateFeature`, `DefaultUpdateDiagramFeature`, `UpdateFeatureForPattern`, `UpdateNoBoFeature`

public interface IUpdateFeature extends IUpdate, IFeature
The Interface IUpdateFeature.

## Method Summary

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

### Methods inherited from interface org.eclipse.graphiti.func.IUpdate

`canUpdate, update, updateNeeded`